Upsert Allergen Names
post
/config/sim/v2/menuItems/upsertAllergenNames
Updates provided fields if the allergenId field is available in the request body else inserts a new allergen name.
Request
Supported Media Types
- multipart/form-data
- application/json
Header Parameters
-
Simphony-AuditTrailRef: string
Detail that identifies, who made the change.
Allergen Names upsert request body
Root Schema : schema
Type:
objectModel for Allergen Name Object Upsert Request
Show Source
-
allergenCode:
string
Allergen Code. It should be unique for any allergen and maximum allowed length of string is 128. Required to create a new allergen name.Example:
Apple -
allergenId:
integer
Allergen Id. Required to update an existing allergen name.Example:
364 -
hierUnitId(required):
integer
Unique reference of the hierarchy unit where the allergen is configured.Example:
3599 -
name:
object name
Allergen Name. Required to create a new allergen name.
Nested Schema : name
Type:
objectAllergen Name. Required to create a new allergen name.
Example:
{
"1":"Apple",
"2":"Pomme",
"3":"Manzana"
}Response
Supported Media Types
- application/json
200 Response
Update operation executed successfully.
201 Response
Insert operation executed successfully.